GEThttps://api.deepinfo.com/v1/easm/assets/{asset_id}/instant-scan-status

Returns the state of the latest on-demand scan: pending, queued, monitoring, failed, issue_queued or finished. Returns 404 if no instant scan was ever triggered for the asset.

Authentication

Send your API key in the apikey request header.

Path Parameters

ParameterRequiredDescription
asset_idRequired
Example000000000000000ea4f90001

Response Fields

FieldTypeDescription
assetstring
asset_typestring
One of domain, subdomain, ip, website
statestring
One of pending, queued, monitoring, failed, issue_queued, finished
state_update_datestring
date-time

Response Schema

FieldTypeExample
assetstring"acme.example"
asset_typestring"domain"
statestring"queued"
state_update_datestring"2025-07-01T08:00:00Z"

Examples

Selecting one loads it into the request and response panels.

Reference updated